Subject: bug#34078: closed (Re: typo in gnu grep's manual ?)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 02 Jan 2020 09:14:02 +0000

Your bug report

#34078: typo in gnu grep's manual ?

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34078: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34078
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: typo in gnu grep's manual ?
From: Paul Eggert <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 2 Jan 2020 01:13:37 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for reporting that typo in the grep manual. I installed the attached
patch to fix it.
From 9500f11eaa5ec3ae2e31c51b796102ace570af1c Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Thu, 2 Jan 2020 01:10:10 -0800
Subject: [PATCH] =?UTF-8?q?doc:=20fix=20missing=20=E2=80=9Cmore=E2=80=9D?=
 =?UTF-8?q?=20in=20man=20page?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Problem reported by Philippe Schnoebelen (Bug#34078).
* doc/grep.in.1: Add missing “more”.
---
 doc/grep.in.1 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/doc/grep.in.1 b/doc/grep.in.1
index 4ced95f..91c0bca 100644
--- a/doc/grep.in.1
+++ b/doc/grep.in.1
@@ -166,7 +166,7 @@ searches for
 in each
 .IR FILE .
 .I PATTERNS
-is one or patterns separated by newline characters, and
+is one or more patterns separated by newline characters, and
 .B grep
 prints each line that matches a pattern.
 Typically
-- 
2.17.1

Subject: typo in gnu grep's manual ?
From: phs <[email-masked]>
To: [email-masked]
Date: Mon, 14 Jan 2019 19:24:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I have gnu grep v3.3 as packaged by Homebrew

When I type man grep, the two sentences in the DESCRIPTION paragraph reads

       grep searches for PATTERNS in each FILE.  PATTERNS is one or
patterns separated by newline characters, and grep prints each line that
matches a pattern.

Obviously, the second sentence should read "PATTERNS is one or several
patterns" but the word 'several' is missing.

Looking at the source tree in
http://git.savannah.gnu.org/cgit/grep.git/commit/ I do not see a file
share/man/man1/grep.1 like I have on my laptop, so maybe the bug is with
the brew packaging...

Let me profit and thank you for the great free software.

Best,

--Philippe